Subject: Semister project --- robots in a grid world
From: "Akira Imada" <[email-masked]>
To: <[email-masked]>,Саша Зайцев <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 13 Oct 2007 01:41:49 +0300

Dear all.

The explanation below is a tentative one. Later I will put a more elaborate PDF-version in my web-page.

When we simulate robot in a grid-world in PC, we have to design two things. 

[I] One is to design a world where robots explore. Let's take an example:

(1) Very simple grid where we have no obstacle like corridor, wall etc. Then two robots play like Tom and Jerry. Tom trys to catch Jerry and Jerry trys not to be caught;
(2) A simple grid like desert where robot with its jeep should maximize a distance of penetration with a limited fuels;
(3) A grid world where many obstacles and/or foods are loacated. A robot explores the world to find a specific position which might be called a goal or exit (See jeferson.pdf -- I'll put it on my web-page later);
(4) A road-map in a small town where roads are not so complicated but they have a couple of trafic signals. multipul car robot move the roads following trafic signals. The task should be to avoid a trafic jam;
(5) Mini soccer game in which three robots versus three robots play a soccer game.
(6) Etc.
    
[II] The other is how we make robot(s) move. We have several options.

(1) Random walker(s);
(2) Finite State machine (See also jeferson.pdf);
(3) Neural network where inputs are what the robot sees immediately in front of it (E.g. food, gas, obstacle, etc) and output is an action (E.g. Go straight, Turn Right/Left, Take the food, Do nothing, etc.);
(4) Fuzzy controler (later I will find an appropriate paper and put them in my web-page).
(5) Autonomous agents who learn how to move efficiently by a Reinforcement-Learning.
(6) Quantum robots (This would be too specific for you but one of my current interest.)

Anyway define a set of actions (Go straight, Turn-right, Take-fuel, etc) and specify how they choose one of its actions (E.g. At random, by Genetic Algorithm, Reinforcement-learning etc.) according to the environment the robot faces.

So, we have enormous choices. If your topic is still open internationally, let's wright a paper together.

Expecting your good job.

Akira